/*
This program is confidential and proprietary to MRJ Technology Solutions
and may not be reproduced, published or disclosed to others without
written authorization from MRJ.

Copyright (c) 1998 MRJ Technology Solutions, Inc. All Rights Reserved.

This program is derived from prior work some of which was originally
written as a joint project between the Numerical Aerospace Simulation
(NAS) Systems Division of NASA Ames Research Center and the National
Energy Research Supercomputer Center (NERSC) of Lawrence Livermore
National Laboratory.
*/
/* Feature test switches */
#ifndef _AF_RESMOM_H
#define _AF_RESMOM_H

#ifndef _POSIX_SOURCE
#define _POSIX_SOURCE 1
#endif  /* _POSIX_SOURCE */

/* System headers */

/* Local Headers */
#include "af.h"

struct resmom_struct {
	char 	*inetAddr;
	int	portNumber;
	int	connectFd;
};
typedef struct resmom_struct ResMom;

/* External Functions */

extern char *
ResMomInetAddrGet A_((ResMom *mom));

extern int
ResMomPortNumberGet A_((ResMom *mom));

extern int
ResMomConnectFdGet A_((ResMom *mom));

extern void
ResMomInetAddrPut A_((ResMom *mom, char *mom_name));

extern void
ResMomPortNumberPut A_((ResMom *mom, int port));

extern void
ResMomConnectFdPut A_((ResMom *mom, int fd));

extern void
ResMomPrint A_((ResMom *mom));

extern void
ResMomInit A_((ResMom *mom));

extern int
ResMomOpen A_((ResMom *mom));

extern char *
ResMomRead A_((ResMom *mom));

extern int
ResMomWrite A_((ResMom *mom, char *buffer));

extern int
ResMomClose A_((ResMom *momptr));

extern void
ResMomFree A_((ResMom *mom));
#endif /* _AF_RESMOM_H */
